package com.ycwl.basic.service.task;

import com.ycwl.basic.facebody.adapter.IFaceBodyAdapter;
import com.ycwl.basic.model.task.resp.SearchFaceRespVo;
import org.springframework.web.multipart.MultipartFile;

public interface TaskFaceService {

    SearchFaceRespVo searchFace(Long faceId);

    SearchFaceRespVo searchFace(IFaceBodyAdapter adapter, String dbName, String faceUrl, String reason);

    boolean deleteFaceSample(Long scenicId, String dbName, String entityId);

    boolean assureFaceDb(IFaceBodyAdapter faceBodyAdapter, String dbName);
}
